function cla_create_frame_with_table(name, cols, rows)
    local frame = CreateFrame("FRAME")
    frame.name = name

    frame:SetSize(225, 350)
    frame:SetPoint("CENTER")
    frame:SetBackdrop({
        bgFile="Interface\\ChatFrame\\ChatFrameBackground",
        edgeFile="Interface\\ChatFrame\\ChatFrameBackground",
        tile=true,
        tileSize=5,
        edgeSize= 2,
    })
    frame:SetBackdropColor(0,0,0,1)
    frame:SetBackdropBorderColor(0,0,0,1)

    frame.text = frame:CreateFontString(nil, "ARTWORK")
    frame.text:SetFont("Fonts\\ARIALN.ttf", 14, "OUTLINE")
    frame.text:SetPoint("TOP", 0, -5)
    frame.text:SetText("Classic Loot Assistant")

    local ScrollingTable = LibStub("ScrollingTable");
    local scrollTable = ScrollingTable:CreateST(cols, 12, 20, nil, frame);

    scrollTable:SetData(rows, true)

    local b = CreateFrame("Button", "MyButton", frame, "UIPanelButtonTemplate")
    b:SetSize(100, 30) -- width, height
    b:SetText("Close")
    b:SetPoint("BOTTOM")
    b:SetScript("OnClick", function()
        frame:Hide()
    end)

    tinsert(UISpecialFrames, frame)
end
